Subject: bug#29329: 27.0.50; Missing requirement in org-gnus.el

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 16 Nov 2017 15:45:00 -0800

Michael Heerdegen <[email-masked]> writes:

> Hello,
>
> in help-gnu-emacs, a user (CC'd) asked for help because he got this error:
>
>
> | Debugger entered--Lisp error: (invalid-function
> | gnus-summary-article-header)
> |   gnus-summary-article-header()
> |   org-gnus-store-link()
> |   #f(compiled-function (f) #<bytecode 0x174a15d>)(org-gnus-store-link)
> |   mapcar(#f(compiled-function (f) #<bytecode 0x174a15d>)
> | (org-rmail-store-link org-mhe-store-link org-irc-store-link
> | org-info-store-link org-gnus-store-link org-docview-store-link
> | org-bibtex-store-link org-bbdb-store-link org-w3m-store-link
> | elfeed-link-store-link))
> |   org-store-link(nil)
> |   funcall-interactively(org-store-link nil)
> |   #<subr call-interactively>(org-store-link nil nil)
> |   apply(#<subr call-interactively> org-store-link (nil nil))
> |   call-interactively@ido-cr+-record-current-command(#<subr
> | call-interactively> org-store-link nil nil)
> |   apply(call-interactively@ido-cr+-record-current-command #<subr
> | call-interactively> (org-store-link nil nil))
> |   call-interactively(org-store-link nil nil)
> |   command-execute(org-store-link)
>
> Apparently, the function `org-gnus-store-link' in org-gnus.el had been
> compiled without the macro `gnus-summary-article-header' (from
> gnus-sum.el) defined.  There is apparently a missing requirement at
> least when compiling (and at least here on master) in org-gnus.
>
> Erik Abrahamsen (also CC'd) answered that even more requirements might
> be missing, like

I guess this should probably be floated on the org-mode list, where it's
most likely to reach the people who will know what to do -- I'll
cross-post now.

Eric